## Discord Plex FR : https://discord.gg/ERpYMqS
## Version 2021-03-06
version: "2.1"

services:
  syncthing:
    image: ghcr.io/linuxserver/syncthing
    container_name: syncthing
    hostname: syncthing #optional
    networks:
     - syncthing_network
# Decommenter les 2 lignes suivantes pour que watchtower surveille ce conteneur
#    labels:
#      - com.centurylinklabs.watchtower.enable=true
    environment:
      - PUID=1000 # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
      - PGID=100 # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
      - TZ=Europe/Paris
    volumes:
      - /volume1/docker/syncthing/config:/config
      - /volume1/docker/syncthing/data:/data
    ports:
      - 8384:8384
      - 22000:22000
      - 21027:21027/udp
    restart: unless-stopped
	
networks:
  syncthing_network:
    external:
      name: syncthing_network